
require "lunit"



module( "simple", package.seeall, lunit.testcase )

function test_success()
  assert_true( true, "̃eXg͕K܂B")
end

function test_failure()
  assert_true( false, "̃eXg͕Ks܂I")
end



module( "abs", package.seeall, lunit.testcase )

function setup()
  NSSetIntValue(0, -1)
end

function teardown()
  NSSetIntValue(0, 0)
end

-- abs %0 ; %0̏ꍇAΒl%0ɐݒ肷B
function testCanConvertMinusToPlus()
  NSExec('abs %0')
  assert_equal(1, NSGetIntValue(0))
end

-- abs %0 ; %0̏ꍇÂ܂܂̒lƂB
function testDoNothingForPlus()
  NSSetIntValue(0, 1)
  NSExec('abs %0')
  assert_equal(1, NSGetIntValue(0))
end

-- abs %0 ; %00̏ꍇÂ܂܂̒lƂB
function testDoNothingForZero()
  NSSetIntValue(0, 0)
  NSExec('abs %0')
  assert_equal(0, NSGetIntValue(0))
end

-- abs %0,n ; n̏ꍇAΒl%0ɐݒ肷B
function testCanSetMinusToPlus()
  NSExec('abs %0,-2')
  assert_equal(2, NSGetIntValue(0))
end

-- abs %0,n ; n̏ꍇAn%0ɐݒ肷B
function testSetAsIsForPlus()
  NSExec('abs %0,2')
  assert_equal(2, NSGetIntValue(0))
end

-- abs %0,n ; n0̏ꍇA0%0ɐݒ肷B
function testSetAsIsForZero()
  NSExec('abs %0,0')
  assert_equal(0, NSGetIntValue(0))
end
